/* 
 *   $Id: ad_ufs.h,v 1.2 1997/09/04 20:50:25 thakur Exp $    
 *
 *   Copyright (C) 1997 University of Chicago. 
 *   See COPYRIGHT notice in top-level directory.
 */

#ifndef __AD_UNIX_INCLUDE
#define __AD_UNIX_INCLUDE

#include <unistd.h>
#include <sys/types.h>
#include <fcntl.h>
#include <sys/uio.h>
#include "adio.h"

#ifndef __NO_AIO
#ifdef __AIO_SUN
#include <sys/asynch.h>
#else
#include <aio.h>
#include <sys/errno.h>
#endif
#endif

int ADIOI_UFS_aio(int fd_sys, void *buf, int len, ADIO_Offset offset,
		  int wr, void *handle);

#endif
