/* 
 *   $Id: ad_ufs_close.c,v 1.2 1997/09/04 20:49:39 thakur Exp $    
 *
 *   Copyright (C) 1997 University of Chicago. 
 *   See COPYRIGHT notice in top-level directory.
 */

#include "ad_unix.h"

void ADIOI_UFS_Close(ADIO_File fd, int *error_code)
{
    int err;

    fsync(fd->fd_sys);
    err = close(fd->fd_sys);
    *error_code = (err == 0) ? MPI_SUCCESS : MPI_ERR_UNKNOWN;
}
