/* 
 *   $Id: ad_resize.c,v 1.2 1997/09/04 20:56:57 thakur Exp $    
 *
 *   Copyright (C) 1997 University of Chicago. 
 *   See COPYRIGHT notice in top-level directory.
 */

#include "adio.h"

void ADIO_Resize(ADIO_File fd, ADIO_Offset size, int *error_code)
{
    int err;
    
    /* called by one process only */
    err = ftruncate(fd->fd_sys, size);
    *error_code = (err == 0) ? MPI_SUCCESS : MPI_ERR_UNKNOWN;
}
