/* 
 *   $Id: lock.c,v 1.2 1997/09/04 20:56:57 thakur Exp $    
 *
 *   Copyright (C) 1997 University of Chicago. 
 *   See COPYRIGHT notice in top-level directory.
 */

#include "adio.h"

int ADIOI_Set_lock(int fd, int cmd, int type, off_t offset, int whence,
	     off_t len) 
{
    struct flock lock;

    lock.l_type = type;
    lock.l_start = offset;
    lock.l_whence = whence;
    lock.l_len = len;

    return fcntl(fd, cmd, &lock);
}
