/* 
 *   $Id: mpich2.h,v 1.2 1997/09/04 21:06:34 thakur Exp $    
 *
 *   Copyright (C) 1997 University of Chicago. 
 *   See COPYRIGHT notice in top-level directory.
 */


/* Constants and prototypes from MPI-2 external interfaces
   chapter for MPICH */

#ifndef __MPI2_INCLUDE
#define __MPI2_INCLUDE

#define MPI_COMBINER_NAMED              2312
#define MPI_COMBINER_CONTIGUOUS         2313
#define MPI_COMBINER_VECTOR             2314
#define MPI_COMBINER_HVECTOR            2315
#define MPI_COMBINER_INDEXED            2316
#define MPI_COMBINER_HINDEXED           2317
#define MPI_COMBINER_STRUCT             2318

int MPI_Type_get_envelope(MPI_Datatype datatype, int *num_integers,
	     int *num_addresses, int *num_datatypes, int *combiner); 
int MPI_Type_get_contents(MPI_Datatype datatype, int max_integers, int
             max_addresses, int max_datatypes, int *array_of_integers, 
	     MPI_Aint *array_of_addresses, MPI_Datatype *array_of_datatypes);
#endif
